org.apache.http.conn.ssl

## Class StrictHostnameVerifier

- java.lang.Object
- - org.apache.http.conn.ssl.AbstractVerifier
  - - org.apache.http.conn.ssl.StrictHostnameVerifier

- All Implemented Interfaces:
    HostnameVerifier ， X509HostnameVerifier

  已过时。
  （4.4）使用`DefaultHostnameVerifier`

      @Contract(threading=IMMUTABLE)
      @Deprecated
      public class StrictHostnameVerifier
      extends AbstractVerifier

  严格的HostnameVerifier的工作方式与Sun Java 1.4，Sun Java 5，Sun Java 6相同。它也非常接近IE6。 此实现似乎符合RFC 2818处理通配符。

  主机名必须与第一个CN或任何主题匹配。 通配符可以在CN和任何主题中发生。 IE6的一个分歧是我们如何检查第一个CN。 IE6允许与任何存在的CN进行匹配。 我们决定遵循Sun Java 1.4的脚步，只检查第一个CN。 （如果您需要检查所有的CN，请随时编写自己的实现！）。

  通配符，例如“* .foo.com”只匹配同一级别的子域，例如“a.foo.com”。 它不匹配更深的子域名，如“abfoo.com”。

  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StrictHostnameVerifier` | `INSTANCE` 已过时。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `StrictHostnameVerifier()` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` 已过时。
    `void` | `verify(String host, String[] cns, String[] subjectAlts)` 已过时。 检查提供的主机名是否匹配任何提供的CN或“DNS”主题。

    - ### Methods inherited from class org.apache.http.conn.ssl.AbstractVerifier

      `acceptableCountryWildcard, countDots, getCNs, getDNSSubjectAlts, verify, verify, verify, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final StrictHostnameVerifier INSTANCE

      已过时。

  - ### 构造方法详细信息

    - #### StrictHostnameVerifier

          public StrictHostnameVerifier()

      已过时。

  - ### 方法详细信息

    - #### verify

          public final void verify(String host,
                    String[] cns,
                    String[] subjectAlts)
                            throws SSLException

      已过时。
      说明从界面： `X509HostnameVerifier`复制
      检查提供的主机名是否匹配任何提供的CN或“DNS”主题。 大多数实现只看第一个CN，忽略任何其他的CN。 大多数实现都会查看所有的“DNS”主题。 CN或Subject-Alts可以包含根据RFC 2818的通配符。
      参数
        `host` - 要验证的主机名。
        `cns` - 从X.509证书中提取的CN字段。
        `subjectAlts` - 从X.509证书中提取的类型2（“DNS”）的Subject-Alt字段。
      异常
        `SSLException` - 验证过程是否失败。

    - #### toString

          public final String toString()

      已过时。
      重写：
        `toString`在 `Object`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585